<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_save"
    android:layout_width="match_parent"
    android:background="@color/main_background_color"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="34dp"
        android:orientation="horizontal"
        app:layout_constraintTop_toTopOf="parent">

        <com.soundapp.soundgags.setting.SetTxtView
            android:id="@+id/name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/save_sound"
            app:isBold="true"
            android:textSize="22sp"
            android:textColor="@color/dart_blue_text"
            />


        <ImageView
            android:id="@+id/back"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_centerVertical="true"
            android:padding="12dp"
            android:layout_marginStart="10dp"
            app:tint="@color/dart_blue_text"
            android:src="@drawable/come_back" />

    </RelativeLayout>


    <ImageView
        android:id="@+id/audio_im"
        android:layout_width="210dp"
        android:layout_height="210dp"
        android:layout_marginTop="35dp"
        android:src="@drawable/pic_only_diy"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_layout">

    </ImageView>
    <LinearLayout
        android:id="@+id/audio_time_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/audio_im"
        android:layout_marginTop="16dp"
        android:gravity="center"
        android:orientation="vertical">
        <ImageView
            android:id="@+id/btn_play"
            android:layout_width="38dp"
            android:layout_height="38dp"
            android:src="@drawable/trans_play_btn" />
        <com.soundapp.soundgags.setting.SetTxtView
            android:id="@+id/audio_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/dart_blue_text"
            android:textSize="25sp"
            android:layout_marginTop="14dp"
            android:text="00:00:00"
           />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@id/audio_time_layout"
        android:orientation="horizontal"
        >
        <EditText
            android:id="@+id/save_edit"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:layout_marginVertical="35dp"
            android:layout_marginStart="35dp"
            android:background="@drawable/voice_recorder_bg"
            android:gravity="start"
            android:hint="@string/add_a_name"
            android:maxLength="18"
            android:textSize="18sp"
            android:padding="11dp"
            android:textColorHint="#808080"
            android:elevation="6dp"
            android:textColor="@color/dart_blue_text"
            />
        <TextView
            android:id="@+id/save"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/reco_save_button"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:textAlignment="center"
            android:paddingVertical="11dp"
            android:paddingHorizontal="11dp"
            android:layout_marginEnd="35dp"
            android:layout_marginStart="10dp"
            android:text="@string/save"
            android:layout_gravity="center"
            android:textColor="@color/white"
            android:elevation="6dp"
            android:textSize="19sp" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>